maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chetan mehrotra <chetan.mehro...@gmail.com>
Subject Re: Disable usage of snapshot version of plugin
Date Thu, 01 Jul 2010 14:16:58 GMT
Thanks Nick,

I had to fallback on fully qualified notation.

But this sometimes become annoying as I face similar exception using eclipse
pluginn. So if a user does not know much about Maven and is only interested
in using archytype:generate he would have dig out the latest stable version
and also know about such a syntax. And typically users of this command are
someone who is just starting to use Maven and so becomes tricky for them

What I was looking for a way to force Maven to not use the SNAPSHOT version

Looks like it is not possible without somebody doing more details on how to
use Maven

Chetan Mehrotra


On Thu, Jul 1, 2010 at 6:58 PM, Nick Stolwijk <nick.stolwijk@gmail.com>wrote:

> Put it in your pluginmanagement with a fixed version. Or if you don't
> have a pom, specify the GAV of the plugin:
>
> mvn
> org.apache.maven.plugins:maven-archetype-plugin:maven-plugin:2.0-alpha-5:crawl
>
> Hth,
>
> Nick Stolwijk
> ~Java Developer~
>
> IPROFS BV.
> Claus Sluterweg 125
> 2012 WS Haarlem
> http://www.iprofs.nl
>
>
>
> On Thu, Jul 1, 2010 at 3:23 PM, chetan mehrotra
> <chetan.mehrotra@gmail.com> wrote:
> > org.apache.maven.plugins:maven-archetyp
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message